// Sudokus con Clase
// Resolucin de sudokus con tcnicas reales
// (C) 2022 Salvador Pozo
// Con Clase https://conclase.net
//
// Definicin de la clase MarcasCasillas

#include "marcascasillas.h"

void MarcasCasillas::AsignaCasilla(int c) {
    casillas |= 1<<c;
}

int MarcasCasillas::CuentaCasillas() {
    int cuenta=0;
    for(int c=0; c<9; c++) if(ContieneCasilla(c)) cuenta++;
    return cuenta;
}

bool MarcasCasillas::ContieneCasilla(int c) {
    return (casillas & 1<<c);
}

MarcasCasillas MarcasCasillas::operator+(const MarcasCasillas &m1) {
    MarcasCasillas res(0);
    res.casillas = this->casillas | m1.casillas;
    return res;
}
